SuperSync Buy Now Download

SuperSync FAQ

  • General
  • Networking
  • iTunes Specific Questions
  • License Questions
  • Bugs, Errors, Known Issues
  • iPod, iPhone, iPad Access
  • Yes, Yes, Yes!
  • Mac Specific

  • Mac Specific

    Is SuperSync compatible with the latest version of OS X?

    Yes! SuperSync is written and tested on the latest versions of OS X. Please note that when you first run SuperSync, Mac OS X may ask you to install a Java Runtime before SuperSync will launch. If you see this message, click the INSTALL button to install the Java Runtime environment. You only need to do once. (We use java for the cross-platform parts so you can use SuperSync on Windows and Mac.)